package it.inaf.oats.ia2.tapschemamanager.businesslayer;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
class Util {

    protected static List<String> getAddables(List<String> allElements, Set<String> addedElements) {
        List<String> addables = new ArrayList<String>();
        for (String elementName : allElements) {
            if (!addedElements.contains(elementName)) {
                addables.add(elementName);
            }
        }
        return addables;
    }

    protected static List<String> setToList(Set<String> set) {
        List<String> list = new ArrayList<String>();
        list.addAll(set);
        return list;
    }
}
