package it.inaf.oats.ia2.tapschemamanager.datalayer;

import java.io.Serializable;

/**
 *
 * @author Sonia Zorba <zorba at oats.inaf.it>
 */
public class ColumnInfo implements Serializable {
    
    private static final long serialVersionUID = 2139630525057375743L;
    
    private boolean primaryKey;
    private final ColumnEntity columnEntity;

    public ColumnInfo(ColumnEntity columnEntity) {
        this.columnEntity = columnEntity;
    }

    public boolean isPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(boolean primaryKey) {
        this.primaryKey = primaryKey;
    }

    public ColumnEntity getColumnEntity() {
        return columnEntity;
    }
}
